Subject: Re: bug#7269: bug #7269: 24.0.50; opening a file via emacsclient -c <file> moves the mouse cursor to, the top left of the frames buffer.

From: Lennart Borgman <[email-masked]>
Date: Sat, 13 Nov 2010 21:58:21 +0100

On Sat, Nov 13, 2010 at 9:13 PM, Alain Knaff <[email-masked]> wrote:
>> Nowadays focus follows mouse doesn't mean that the focus strictly
>> follows the mouse position, it can still be set independent of it.
>
> Even that (ignoring mouse position, and just grabbing focus) would be a
> highly antisocial move. Why can't emacs just leave the mouse and the
> focus alone, like most other apps do, and patiently wait until the user
> gives it focus?

Of course Emacs should grab focus if the user uses emacsclient to open
a file. Why should not Emacs grab the focus then? AFAICS this is what
the user expects.